# WoopsiUI::Alert Class Reference

`#include <alert.h>`

Inheritance diagram for WoopsiUI::Alert:

List of all members.

## Public Member Functions
| Alert (s16 x, s16 y, u16 width, u16 height, const char *title, const char *text, FontBase *font=NULL)
virtual void | handleReleaseEvent (const GadgetEventArgs &e)
## Protected Member Functions
virtual | ~Alert ()
| Alert (const Alert &alert)
## Protected Attributes
Button * | _button
MultiLineTextBox * | _textBox

## Detailed Description

Class providing a window containing a textbox and an OK button. The contents of the textbox and the title of the window can be set in the constructor. Designed to show short messages to the user. The contents of the window will automatically resize to fit the dimensions of the window.

## Constructor & Destructor Documentation

WoopsiUI::Alert::Alert | ( | s16 | x,
|  | s16 | y,
|  | u16 | width,
|  | u16 | height,
|  | const char * | title,
|  | const char * | text,
|  | FontBase * | font = `NULL` |
| ) |  |  |

Constructor.

Parameters:

  | x | The x co-ordinate of the window.
  | y | The y co-ordinate of the window.
  | width | The width of the window.
  | height | The height of the window.
  | title | The title of the window.
  | text | The text to display in the window.
  | font | Optional font to use for text output.

virtual WoopsiUI::Alert::~Alert | ( |  | ) | `[inline, protected, virtual]`

Destructor.

WoopsiUI::Alert::Alert | ( | const Alert & | alert | ) | `[inline, protected]`

Copy constructor is protected to prevent usage.

## Member Function Documentation

virtual void WoopsiUI::Alert::handleReleaseEvent | ( | const GadgetEventArgs & | e | ) | `[virtual]`

Handles release events raised by its sub-gadgets.

Reimplemented from WoopsiUI::AmigaWindow.

## Member Data Documentation

Button* WoopsiUI::Alert::_button`[protected]`

Pointer to the OK button

MultiLineTextBox* WoopsiUI::Alert::_textBox`[protected]`

Pointer to the alert message box

The documentation for this class was generated from the following file:

- C:/Documents and Settings/Administrator/Desktop/woopsi-src-0.40/Woopsi/libwoopsi/include/alert.h